Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043008
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-27 11:012020-02-26 16:58
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisiona0f6363a98c1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043008: Apply new HQL Style in CostAdjustmentUtils.java

DescriptionCostAdjustmentUtils.java has 12 HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117960)
inigo_lerga (developer)
2020-02-20 10:12

--Test Plan Mantis HQL queries--
Part of the modified hqls in this Issue can be executed
running the JUnit tests found in the TestCosting.java file.

#In this moment the modified HQLs are executed#


For some of the rest of them:
As the F&B International Group Admin role:
  - Go to the Inventory Amount Update window and create
    a new record. Leave every field as default.
  - Go to the Lines Tab and create a new Line with
    "Cerveza Ale 0,5L" as Product.
  
  #In this moment the modified HQLs are executed#
(0118122)
hgbot (developer)
2020-02-26 16:58

Repository: erp/devel/pi
Changeset: a0f6363a98c186c45aba6c28b067ca8ec64b6d0e
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Feb 20 09:57:30 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a0f6363a98c186c45aba6c28b067ca8ec64b6d0e [^]

fixes BUG-43008:Applied new HQL Style + finals added

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0118123)
hgbot (developer)
2020-02-26 16:58

Repository: erp/devel/pi
Changeset: 8c422acf29b31a03d2f2e880c456b7d40954a036
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Feb 26 16:57:51 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8c422acf29b31a03d2f2e880c456b7d40954a036 [^]

Related to ISSUE-43008. Code Review changes:
* Added final modifiers
* Split case when statements in different lines to make them more redable
* Use id's insetead of objects in hql queries
* Add missing comments

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0118124)
dmiguelez (developer)
2020-02-26 16:58

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-27 11:01 inigo_lerga New Issue
2020-01-27 11:01 inigo_lerga Assigned To => inigo_lerga
2020-01-27 11:01 inigo_lerga Modules => Core
2020-01-27 11:01 inigo_lerga Triggers an Emergency Pack => No
2020-01-27 11:01 inigo_lerga Status new => scheduled
2020-01-27 11:01 inigo_lerga Relationship added related to 0041287
2020-02-20 10:12 inigo_lerga Note Added: 0117960
2020-02-26 16:58 hgbot Checkin
2020-02-26 16:58 hgbot Note Added: 0118122
2020-02-26 16:58 hgbot Status scheduled => resolved
2020-02-26 16:58 hgbot Resolution open => fixed
2020-02-26 16:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a0f6363a98c186c45aba6c28b067ca8ec64b6d0e [^]
2020-02-26 16:58 hgbot Checkin
2020-02-26 16:58 hgbot Note Added: 0118123
2020-02-26 16:58 dmiguelez Review Assigned To => dmiguelez
2020-02-26 16:58 dmiguelez Note Added: 0118124
2020-02-26 16:58 dmiguelez Status resolved => closed
2020-02-26 16:58 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker